Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78953 - gedit refuses to run
Summary: gedit refuses to run
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gedit
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-03 21:34 UTC by E Mair
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-03 18:28:14 UTC


Attachments (Terms of Use)

Description E Mair 2002-12-03 21:34:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021128

Description of problem:
Sometimes, gedit refuses to run, apparently hanging before its GUI appears. If
it hangs when run from a terminal, it will exit and return the shell prompt on a
Ctrl-C.


Version-Release number of selected component (if applicable):
2.0.2-5

How reproducible:
Sometimes

Steps to Reproduce:
1. Run gedit, either via the GNOME menu or from a terminal.
2.
3.

The problem does not always appear, but once it has appeared during a session,
gedit will then *always* fail to start unless I log out and return.

Actual Results:  gedit does not start.

Running "gedit --debug" in a terminal gives the following output:

gedit-prefs-manager.c:314 (gedit_prefs_manager_init) 
gedit-prefs-manager.c:1069 (gedit_prefs_manager_get_max_recents) 
gedit-prefs-manager.c:404 (gedit_prefs_manager_get_int)

...and then nothing happens. Ctrl-C will kill it and return to the prompt.


Expected Results:  gedit should have started.

Additional info:

gedit 2.0.2-5, all updates applicable to my system (kernel 2.4.18-18.8.0smp on a
dual AthlonMP, AMD 760MPX based mobo)

Comment 1 Havoc Pennington 2002-12-04 00:37:46 UTC
Next time it happens, you might try "strace -o /tmp/output -f gedit" and attach
the file /tmp/output after it hangs.



Comment 2 Havoc Pennington 2002-12-20 01:47:11 UTC
Reopen on adding an strace, if it's still happening.

Comment 3 Havoc Pennington 2004-11-03 18:28:14 UTC
Closing due to long inactivity.


Note You need to log in before you can comment on or make changes to this bug.